Subject: [T2TRG] draft-richardson-secdispatch-idevid-considerations

From: Amyas Phillips <[email-masked]>
Date: Wed, 19 Aug 2020 11:43:42 +0100

Great document, Michael and Jay. 

This is where your concepts elucidation and terminology coining work was heading? I'll have to study it again more carefully, but first reading looks fully unambiguous and systematic. This area (provisioning) really needs a breakdown of well understood concepts to permit description and discussion of specific instances. I'll try to use these in ongoing IoTSF work on supply chain security. 

- I like that you've tackled trust anchors and device identities together. 
- I appreciate the discussion about where manufacturing test fits - that is easy to overlook (from my position anyway) but it has to be accounted for in provisioning processes.
- I like your use of number of individuals with access to ROT establishment as a metric (first-stage-initialization). ROT establishment is a critical operation but in my observation it is not always recognised as such. The trustworthiness of ROTs is often taken as given.
- I like how you've directed the discussion of vulnerability to abuse of trust anchors mostly towards the external PKI, not limiting it to the
TAs provisioned onto the device. For any discussion of ROT trustworthiness I agree this needs to be in scope.

Although I understand this as an informative document for manufacturers and users of IDevID I wonder if you could explicitly address a wider audience, who may be provisioning TAs and identities for other purposes. Or, separate the general concepts and terminology development from the discussion of application to IDevID. Just a thought. Either way this is a great contribution and I hope it will raise understanding more widely of how important the integrity of provisioning processes is to creating trustworthy devices.

Thanks for this contribution.

Amyas Phillips
Supply Chain Integrity Working Group chair, IoTSF